## com.gargoylesoftware.htmlunit.html
Class HtmlTableDataCell

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.DomNode
          com.gargoylesoftware.htmlunit.html.DomNamespaceNode
              com.gargoylesoftware.htmlunit.html.DomElement
                  com.gargoylesoftware.htmlunit.html.HtmlElement
                      com.gargoylesoftware.htmlunit.html.StyledElement
                          com.gargoylesoftware.htmlunit.html.ClickableElement
                              com.gargoylesoftware.htmlunit.html.HtmlTableCell
                                  com.gargoylesoftware.htmlunit.html.HtmlTableDataCell

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.Node

    public class HtmlTableDataCell

extends HtmlTableCell

Wrapper for the HTML element "td".

Version:
  $Revision: 4002 $
Author:
  Mike Bowler, David K. Taylor, Christian Sell, Ahmed Ashour
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.gargoylesoftware.htmlunit.html.HtmlElement
`HtmlElement.ChildElementsIterator`

Nested classes/interfaces inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`DomNode.ChildIterator, DomNode.DescendantElementsIterator`

Field Summary
`static java.lang.String` `TAG_NAME` The HTML tag represented by this element.

Fields inherited from class com.gargoylesoftware.htmlunit.html.HtmlElement
`TAB_INDEX_OUT_OF_BOUNDS`

Fields inherited from class com.gargoylesoftware.htmlunit.html.DomElement
`ATTRIBUTE_NOT_DEFINED, ATTRIBUTE_VALUE_EMPTY`

Fields inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`AS_TEXT_BLANK, AS_TEXT_BLOCK_SEPARATOR, AS_TEXT_NEW_LINE, AS_TEXT_TAB, PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getAbbrAttribute()` Returns the value of the attribute "abbr".
`java.lang.String` `getAlignAttribute()` Returns the value of the attribute "align".
`java.lang.String` `getAxisAttribute()` Returns the value of the attribute "axis".
`java.lang.String` `getBgcolorAttribute()` Returns the value of the attribute "bgcolor".
`java.lang.String` `getCharAttribute()` Returns the value of the attribute "char".
`java.lang.String` `getCharoffAttribute()` Returns the value of the attribute "charoff".
`java.lang.String` `getColumnSpanAttribute()` Returns the value of the attribute "colspan".
`java.lang.String` `getHeadersAttribute()` Returns the value of the attribute "headers".
`java.lang.String` `getHeightAttribute()` Returns the value of the attribute "height".
`java.lang.String` `getNoWrapAttribute()` Returns the value of the attribute "nowrap".
`java.lang.String` `getRowSpanAttribute()` Returns the value of the attribute "rowspan".
`java.lang.String` `getScopeAttribute()` Returns the value of the attribute "scope".
`java.lang.String` `getValignAttribute()` Returns the value of the attribute "valign".
`java.lang.String` `getWidthAttribute()` Returns the value of the attribute "width".

Methods inherited from class com.gargoylesoftware.htmlunit.html.HtmlTableCell
`getColumnSpan, getEnclosingRow, getRowSpan`

Methods inherited from class com.gargoylesoftware.htmlunit.html.StyledElement
`getClassAttribute, getIdAttribute, getStyleAttribute, getTitleAttribute`

Methods inherited from class com.gargoylesoftware.htmlunit.html.HtmlElement

`addHtmlAttributeChangeListener, appendChildIfNoneExists, blur, checkChildHierarchy, click, click, click, dblClick, dblClick, doClickAction, doType, fireEvent, fireEvent, fireHtmlAttributeAdded, fireHtmlAttributeRemoved, fireHtmlAttributeReplaced, focus, getChildElements, getElementById, getElementsByAttribute, getEnclosingElement, getEnclosingForm, getEnclosingFormOrDie, getEventHandler, getHtmlElementsByTagName, getHtmlElementsByTagNames, getId, getLangAttribute, getNodeName, getOnClickAttribute, getOnDblClickAttribute, getOneHtmlElementByAttribute, getOnKeyDownAttribute, getOnKeyPressAttribute, getOnKeyUpAttribute, getOnMouseDownAttribute, getOnMouseMoveAttribute, getOnMouseOutAttribute, getOnMouseOverAttribute, getOnMouseUpAttribute, getTabIndex, getTextDirectionAttribute, getXmlLangAttribute, hasHtmlElementWithId, isAttributeCaseSensitive, isStateUpdateFirst, isSubmittableByEnter, mouseDown, mouseDown, mouseMove, mouseMove, mouseOut, mouseOut, mouseOver, mouseOver, mouseUp, mouseUp, preventDefault, removeAttribute, removeChild, removeEventHandler, removeHtmlAttributeChangeListener, rightClick, rightClick, setAttributeNS, setEventHandler, setEventHandler, setId, toString, type, type, type, type`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomElement

`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getAttributesMap, getElementsByTagName, getElementsByTagNameNS, getNodeType, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEmptyXmlTagExpanded, namespaces, printOpeningTagContentAsXml, printXml, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomNamespaceNode
`getLocalName, getNamespaceURI, getPrefix, getQualifiedName, setPrefix`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomNode

`addDomChangeListener, appendChild, asText, asXml, compareDocumentPosition, fireNodeAdded, fireNodeDeleted, getAllHtmlChildElements, getAncestors, getBaseURI, getByXPath, getCanonicalXPath, getChildNodes, getChildren, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getPage, getParentNode, getPreviousSibling, getReadyState, getScriptObject, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, hasChildNodes, insertBefore, insertBefore, isAncestorOf, isBlock, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, isTrimmedText, lookupNamespaceURI, lookupPrefix, normalize, notifyIncorrectness, onAddedToPage, onAllChildrenAddedToPage, printChildrenAsXml, remove, removeAllChildren, removeChild, removeDomChangeListener, replace, replaceChild, selectNodes, selectSingleNode, setNextSibling, setNodeValue, setParentNode, setPreviousSibling, setReadyState, setScriptObject, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node

`appendChild, compareDocumentPosition, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Field Detail

### TAG_NAME

    public static final java.lang.String TAG_NAME

  The HTML tag represented by this element.

  See Also:
    Constant Field Values

Method Detail

### getAbbrAttribute

    public final java.lang.String getAbbrAttribute()

  Returns the value of the attribute "abbr". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "abbr" or an empty string if that attribute isn't defined.

### getAxisAttribute

    public final java.lang.String getAxisAttribute()

  Returns the value of the attribute "axis". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "axis" or an empty string if that attribute isn't defined.

### getHeadersAttribute

    public final java.lang.String getHeadersAttribute()

  Returns the value of the attribute "headers". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "headers" or an empty string if that attribute isn't defined.

### getScopeAttribute

    public final java.lang.String getScopeAttribute()

  Returns the value of the attribute "scope". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "scope" or an empty string if that attribute isn't defined.

### getRowSpanAttribute

    public final java.lang.String getRowSpanAttribute()

  Returns the value of the attribute "rowspan". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "rowspan" or an empty string if that attribute isn't defined.

### getColumnSpanAttribute

    public final java.lang.String getColumnSpanAttribute()

  Returns the value of the attribute "colspan". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "colspan" or an empty string if that attribute isn't defined.

### getAlignAttribute

    public final java.lang.String getAlignAttribute()

  Returns the value of the attribute "align". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "align" or an empty string if that attribute isn't defined.

### getCharAttribute

    public final java.lang.String getCharAttribute()

  Returns the value of the attribute "char". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "char" or an empty string if that attribute isn't defined.

### getCharoffAttribute

    public final java.lang.String getCharoffAttribute()

  Returns the value of the attribute "charoff". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "charoff" or an empty string if that attribute isn't defined.

### getValignAttribute

    public final java.lang.String getValignAttribute()

  Returns the value of the attribute "valign". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "valign" or an empty string if that attribute isn't defined.

### getNoWrapAttribute

    public final java.lang.String getNoWrapAttribute()

  Returns the value of the attribute "nowrap". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "nowrap" or an empty string if that attribute isn't defined.

### getBgcolorAttribute

    public final java.lang.String getBgcolorAttribute()

  Returns the value of the attribute "bgcolor". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "bgcolor" or an empty string if that attribute isn't defined.

### getWidthAttribute

    public final java.lang.String getWidthAttribute()

  Returns the value of the attribute "width". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "width" or an empty string if that attribute isn't defined.

### getHeightAttribute

    public final java.lang.String getHeightAttribute()

  Returns the value of the attribute "height". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "height" or an empty string if that attribute isn't defined.

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.